/home/travis/build/boostorg/boost/boost/geometry/core/radius.hpp File Reference

## Classes

struct | boost::geometry::radius_type< Geometry >
| Metafunction to get the type of radius of a circle / sphere / ellipse / etc. More...
struct | boost::geometry::traits::radius_access< Geometry, Dimension >
| Traits class to get/set radius of a circle/sphere/(ellipse) More...
struct | boost::geometry::traits::radius_type< Geometry >
| Traits class indicating the type (double,float,...) of the radius of a circle or a sphere. More...

## Namespaces

namespace | boost
namespace | boost::geometry
namespace | boost::geometry::traits

## Functions

template<std::size_t I, typename Geometry >
radius_type< Geometry >::type | boost::geometry::get_radius (Geometry const &geometry)
| Function to get radius of a circle / sphere / ellipse / etc.
template<std::size_t I, typename Geometry >
void | boost::geometry::set_radius (Geometry &geometry, typename radius_type< Geometry >::type const &radius)
| Function to set the radius of a circle / sphere / ellipse / etc.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK